Bug 1873963

Summary: Failed to start session: org.gnome.Mutter.ScreenCast API version 2 lower than minimum supported version 3
Product: Red Hat Enterprise Linux 8 Reporter: Martin Krajnak <mkrajnak>
Component: mutterAssignee: Jonas Ã…dahl <jadahl>
Status: CLOSED ERRATA QA Contact: Desktop QE <desktop-qa-list>
Severity: high Docs Contact:
Priority: high    
Version: 8.3CC: fmuellner, jadahl, jgrulich, jkoten, lmiksik, tpelka, tpopela
Target Milestone: rc   
Target Release: 8.3   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: mutter-3.32.2-47.el8 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-11-04 01:35:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
Patch to fix this issue none

Description Martin Krajnak 2020-08-31 08:28:42 UTC
Description of problem:
We recently found out that sharing the whole screen under Wayland does not work. Thanks to investigation done by Jan Grulich, we found out that the version of the mutter API needs to be bumped up. 

Version-Release number of selected component (if applicable):
mutter-3.32.2-46.el8.x86_64
pipewire-0.3.6-1.el8.x86_64
firefox-78.2.0-2.el8.x86_64

How reproducible:
always

Steps to Reproduce:
1.Run Firefox
2.Go to https://www.webrtc-experiment.com/Pluginfree-Screen-Sharing/#36152465692193694
3.Share the screen

Actual results:
Black screen. only a mouse cursor can be seen.

Expected results:
The screen content should be shared.

Additional info from Jan:

We now have the latest Firefox properly built against PipeWire 0.3, but we still fail to share a screen. This seems to be a generic issue, not only in Firefox as using the Python script [1] fails too. 

Running xdg-desktop-portal-gtk with debug, I get the answer why this is broken:
Failed to start session: org.gnome.Mutter.ScreenCast API version 2 lower than minimum supported version 3

We need to bump the supported API version in Mutter, then it should hopefully work.

[1] - https://gitlab.gnome.org/snippets/19

Comment 1 Jan Grulich 2020-08-31 08:35:02 UTC
Created attachment 1713120 [details]
Patch to fix this issue

Comment 12 errata-xmlrpc 2020-11-04 01:35:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4451